package cn.yyxx.columbus.base

import android.app.Activity
import android.app.Application
import android.content.Context
import androidx.annotation.Keep
import cn.yyxx.columbus.base.internal.ICallback

/**
 * @author #Suyghur.
 * Created on 2021/06/09
 */
class Columbus private constructor() {


    fun attachBaseContext(application: Application, context: Context) {

    }


    fun initApplication(application: Application) {

    }

    fun initialize(activity: Activity, isLandscape: Boolean, callback: ICallback) {

    }

    fun login(activity: Activity, callback: ICallback) {

    }

    fun logout(activity: Activity, callback: ICallback) {

    }

    fun charge(activity: Activity, callback: ICallback) {

    }

    companion object {
        @JvmStatic
        @Keep
        fun getInstance(): Columbus {
            return ColumbusHolder.INSTANCE
        }

        private const val CLICK_INTERVAL: Int = 1500

        private object ColumbusHolder {
            val INSTANCE: Columbus = Columbus()
        }

        /**
         * 防止单例对象在反序列化时重新生成对象
         */
        private fun readResolve(): Any {
            return ColumbusHolder.INSTANCE
        }
    }
}